Developers / Player
Overview
This page provides the details on how to embed our player on an external site. There are two possible embed methods, the Universal Player and Flash Player.
Universal Player
The Universal Embed Code allows you to embed our player in a way that will work on many different devices. We will automatically choose the correct player based on the user's device.
Note: if your site will contain a Universal Player embed, but won't show it right away, it's best to not to include the embed code until the video is ready to be displayed. There are bugs in some browsers that prevent the proper initialization of the player if it is initially hidden.
Embed Code
Here's what the embed code for the Universal Player looks like:
<iframe src="http://player.vimeo.com/video/VIDEO_ID" width="WIDTH" height="HEIGHT" frameborder="0"></iframe>
Parameters
Here is a list of all the parameters that can be used with the Universal Player. They should be added as query parameters to the src of the iframe.
Note: if the owner of a video is a Plus member, some of these settings may be overridden by their preferences.
- title
- Show the title on the video. Defaults to 1.
- byline
- Show the byline on the video. Defaults to 1.
- portrait
- Show the user's portrait on the video. Defaults to 1.
- color
- Specify the color of the video controls. Defaults to 00adef.
- autoplay
- Play the video automatically on load. Defaults to 0.
- loop
- Play the video again when it reaches the end. Defaults to 0.
- api
- Set to
1to enable the Javascript API. - player_id
- A unique id for the player that will be passed back with all API responses.
Flash Player (Moogaloop)
Embed Code
Here's what the embed code for the Flash Player looks like:
<object width="WIDTH" height="HEIGHT">
<param name="allowfullscreen" value="true" />
<param name="allowscriptaccess" value="always" />
<param name="movie" value="http://vimeo.com/moogaloop.swf?clip_id=VIDEO_ID&server=vimeo.com&color=00adef&fullscreen=1" />
<embed src="http://vimeo.com/moogaloop.swf?clip_id=VIDEO_ID&server=vimeo.com&color=00adef&fullscreen=1"
type="application/x-shockwave-flash" allowfullscreen="true" allowscriptaccess="always" width="WIDTH" height="HEIGHT"></embed>
</object>
If you'd like to substitute your own Flash embed code, this is the address of the Flash Player for website embedding:
http://vimeo.com/moogaloop.swf
See the ActionScript 3 API page for info on how to embed the Flash Player inside a Flash project.
Parameters
Here is a list of all the parameters that can be used with the Flash Player. They should be added as flashvars in the embed.
Note: if the owner of a video is a Plus member, some of these settings may be overridden by their preferences.
- title
- Show the byline on the video. Defaults to 1.
- byline
- Show the title on the video. Defaults to 1.
- portrait
- Show the user's portrait on the video. Defaults to 1.
- color
- Specify the color of the video controls. Defaults to 00adef.
- fullscreen
- Allow the player to go into fullscreen. Defaults to 0.
- autoplay
- Play the video automatically on load. Defaults to 0.
- loop
- Play the video again when it reaches the end. Defaults to 0.
- api
- Set to
1to enable the Javascript API. - api_ready
- Javascript function to call when the player is ready to accept API commands. Defaults to
vimeo_player_loaded(). - player_id
- A unique id for the player that will be passed back with all API responses.
-
Vimeo: About / Blog / Developers / Jobs /
Community Guidelines /
Help Center / Video School / Music Store / Site Map
/ Vimeo
or
-
Legal: TM + ©2012 Vimeo, LLC. All rights reserved. / Terms of Service / Privacy Statement / Copyright
